[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPObjectList.Extract

Extract an object from the list

## Declaration

Source position: contnrs.pp line 51

`public function TFPObjectList.Extract(`
`Item: TObject`
`):TObject;`

## Arguments

`Item` |  | The object to extract

## Function result

The extracted object, or Nil if none was extracted.

## Description

Extract removes Item from the list, if it is present in the list. It returns Item if it was found, Nil if item was not present in the list.

Note that the object is not freed, and that only the first found object is removed from the list.

## Errors

None.

## See also

TFPObjectList.Pack |  | Remove all Nil references from the list
TFPObjectList.Clear |  | Clear all elements in the list.
TFPObjectList.Remove |  | Remove an item from the list.
TFPObjectList.Delete |  | Delete an element from the list.